# KSP API Extensions /L

Offer a compatibility layer to older Add'Ons that relies on the (now) legacy API from KSP API Extensions.

This add in is useful for providing some functions that make interacting with (really) older KSP's API functionally.

Fork by Lisias, formerly known as "KSP API Extensions" and previously maintained inside [KSP Extensions /L](https://github.com/net-lisias-ksp/KSPe), it's being maintained on a dedicated repository since October/2023.


## In a Hurry

* [Latest Release](https://github.com/net-lisias-ksp/KSPAPIExtensions/releases)
    + [Binaries](https://github.com/net-lisias-ksp/KSPAPIExtensions/tree/Archive)
* [Source](https://github.com/net-lisias-ksp/KSPAPIExtensions)
* [Issue Tracker](https://github.com/net-lisias-ksp/KSPAPIExtensions/issues)
* Documentation	
	+ [Homepage](http://ksp.lisias.net/add-ons/KSPAPIExtensions) on L Aerospace KSP Division
	+ [Project's README](https://github.com/net-lisias-ksp/KSPAPIExtensions/blob/mestre/README.md)
	+ [Change Log](./CHANGE_LOG.md)
* Official Distribution Channels:
	+ [Homepage](http://ksp.lisias.net/add-ons/KSPAPIExtensions) on L Aerospace
	+ [Source and Binaries](https://github.com/net-lisias-ksp/KSPAPIExtensions) on GitHub.


## Description

Offer standardised, KSP version abstracted features, utilities and helpers to help the fellow KSP Add'On Author to seamless support part, present and (hopefully) future versions of KSP without needing even a recompile.

See [the respective Manual](https://github.com/net-lisias-ksp/KSPAPIExtensions/blob/master/Docs/KSPAPIExtensions.md) for more information.


## Installation

Detailed installation instructions are now on its own file (see the [In a Hurry](#in-a-hurry) section) and on the distribution file.

### Licensing
* KSP API Extensions /L is licensed under:
	+ [CC BY-SA 3.0](https://creativecommons.org/licenses/by-sa/3.0/). See [here](./LICENSE).
		+ You are free to:
			- Share : copy and redistribute the material in any medium or format
			- Adapt : remix, transform, and build upon the material for any purpose, even commercially. 
		+ Under the following terms:
			- Attribution : You must give appropriate credit, provide a link to the license, and indicate if changes were made. You may do so in any reasonable manner, but not in any way that suggests the licensor endorses you or your use.
			- ShareAlike : If you remix, transform, or build upon the material, you must distribute your contributions under the same license as the original.

Please note the copyrights and trademarks in [NOTICE](./NOTICE).


## UPSTREAM

* [swamp_ig](https://forum.kerbalspaceprogram.com/index.php?/profile/85299-pellinor/): ROOT
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/73648-104-kspapiextensions-v175-utilities-for-shared-mod-use-25-jun/)
	+ [GitHub](https://github.com/Swamp-Ig/KSPAPIExtensions)
* [toadicus](https://forum.kerbalspaceprogram.com/index.php?/profile/67745-toadicus/): Parallel Fork
	+ [GitHub](https://github.com/toadicus/KSPAPIExtensions)
